
### MovieFaceCluster Dataset 
This is a dataset for the task of movie character face clustering/identification associated with European Conference on Computer Vision (ECCV) 2024 paper titled "VideoClusterNet: Self-Supervised and Adaptive Face Clustering for Videos". It consists of a set of nine movies that have been hand-selected by film post-production specialists, for providing unique hard challenges for face identification involving extreme pose and lighting, occlusion and drastic changes in appearence over the duration of the movie.

#### Dataset Contents 
Due to licensing restrictions, the original source media for each movie has not been provided here. Users are requested to obtain them using any available public means. The dataset comprises of a set of nine individual folders, one for each movie. Each movie folder contains a list of face ID specific sub-folders, wherein each sub-folder contains information on face tracks belonging to the same person. For processing efficiency, all movie videos were downsampled to Full HD (1920x1080) resolution. Frames were extracted from each movie using the following frame rate: 

```
American Fright Fest: 23.976023976023978 FPS
An Elephants Journey: 23.976023976023978 FPS
Angel Of The Skies: 23.976023976023978 FPS
Armed Response: 23.976023976023978 FPS
Death Do Us Part: 24.0 FPS
SMART Chase: 23.976023976023978 FPS
The Fortress: 23.976023976023978 FPS
The Hidden Soldier: 24.0 FPS
Under The Shadow: 23.976023976023978 FPS
```

#### Dataset Format 
A face identification label is provided for sequence of continuous detected faces (face track) of the same person bounded within movie shot boundaries. Information on a given face track is provided in form of the global movie frame index and the bounding box location of each of its constituent faces. Each track json file facilitates this information. The bounding box info follows the following convention: 

```
[x0, y0, x1, y1]: (x0,y0) represent the top left and (x1,y1) represent the bottom right corners of the box, with x axis pointing across and y aixs pointing down the frame image.  
``` 

For any questions or further clarification required for this dataset, please feel free to reach out at `devwalkar64@gmail.com`.